public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/zenity/
Date: Sun, 15 Nov 2015 10:30:42 +0000 (UTC)	[thread overview]
Message-ID: <1447583420.33054cd0cdefde05e881b699698f740ce6d6fdde.pacho@gentoo> (raw)

commit:     33054cd0cdefde05e881b699698f740ce6d6fdde
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 15 10:15:45 2015 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 10:30:20 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33054cd0

gnome-extra/zenity: Version bump

Package-Manager: portage-2.2.24

 gnome-extra/zenity/Manifest               |  1 +
 gnome-extra/zenity/zenity-3.18.1.1.ebuild | 50 +++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/gnome-extra/zenity/Manifest b/gnome-extra/zenity/Manifest
index 0e9d65c..6e61354 100644
--- a/gnome-extra/zenity/Manifest
+++ b/gnome-extra/zenity/Manifest
@@ -1,2 +1,3 @@
 DIST zenity-3.14.0.tar.xz 3686756 SHA256 6b57ec6c456af17714dc366e63dabb8bbe0577878b61907805f0186d4d2b892f SHA512 2cb6a0649f5fc6eb6f5ebfbdc4eb6feee4fdc06849783bd8b4879a073a13451ec41a8633c086bde6c8b68afe649f7da0ca65581f263507a2b05708af752d48d8 WHIRLPOOL c14c7d38bb4fc2dbcf0e304170a736f7ff4cefe5ef9f7f8512744cdfe6c1896c4c1e7ff0bae7d529f5050d8081fe86f9ec7e95d54471f32252b36ef6c081984c
 DIST zenity-3.16.3.tar.xz 3878596 SHA256 7fe28016fbc5b1fc6d8f730d8eabd5ae2d8b7d67c8bfa0270811ff0c2bfb1eba SHA512 67da24e56b529fda5c9163cd2d2e68a74cf45434ced929da2ca52909bfcdf264d6e9394947c0a129e0ace08e472765d7bedbbfdfab78b10fe69d78c237d45caa WHIRLPOOL 34ba92009792095c51ab5d81e617e0924bd6e06a49bf1681508512de5ca5649e192f8e4c9d13c132188bfa5414aeefeac0215ddc4a4ec6ccc218b6e0139b22d1
+DIST zenity-3.18.1.1.tar.xz 3880932 SHA256 e6317a03f58b528e2e3330fef5acea39506ec08a7c2aeec5c4f1e7505d43a80a SHA512 fdadf8ed4e135d24401bcd17121f10681e12572391d843f6510347a6c9c568e23e0ff7fb3f80f0bbc0ffd6698b149faac547c1b99ac423229e6f491e2751e06a WHIRLPOOL 9b37707d56e52c6c7ff877996624afb4c642fb5544799a33cee9ace386cfdbea766d08f55814f1a976cac2ca77ce404d8b18c1d3d08b4c27b2a03d53a19e763b

diff --git a/gnome-extra/zenity/zenity-3.18.1.1.ebuild b/gnome-extra/zenity/zenity-3.18.1.1.ebuild
new file mode 100644
index 0000000..ba1029b
--- /dev/null
+++ b/gnome-extra/zenity/zenity-3.18.1.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="yes"
+
+inherit gnome2
+
+DESCRIPTION="Tool to display dialogs from the commandline and shell scripts"
+HOMEPAGE="https://wiki.gnome.org/Projects/Zenity"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux"
+IUSE="libnotify test webkit"
+
+RDEPEND="
+	>=dev-libs/glib-2.8:2
+	x11-libs/gdk-pixbuf:2
+	>=x11-libs/gtk+-3:3
+	x11-libs/libX11
+	x11-libs/pango
+	libnotify? ( >=x11-libs/libnotify-0.6.1:= )
+	webkit? ( >=net-libs/webkit-gtk-2.8.1:4 )
+"
+DEPEND="${RDEPEND}
+	dev-util/itstool
+	>=sys-devel/gettext-0.19.4
+	virtual/pkgconfig
+	test? ( app-text/yelp-tools )
+"
+# eautoreconf needs:
+#	>=gnome-base/gnome-common-2.12
+
+src_configure() {
+	DOCS="AUTHORS ChangeLog HACKING NEWS README THANKS TODO"
+
+	gnome2_src_configure \
+		$(use_enable libnotify) \
+		$(use_enable webkit webkitgtk) \
+		PERL=$(type -P false)
+}
+
+src_install() {
+	gnome2_src_install
+
+	# Not really needed and prevent us from needing perl
+	rm "${ED}/usr/bin/gdialog" || die "rm gdialog failed!"
+}


             reply	other threads:[~2015-11-15 10:31 UTC|newest]

Thread overview: 46+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-11-15 10:30 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-15 19:22 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/zenity/ Pacho Ramos
2024-07-15 19:22 Pacho Ramos
2024-04-07  8:38 Arthur Zamarin
2024-04-06 21:07 Arthur Zamarin
2024-01-28 11:45 Pacho Ramos
2024-01-28 11:45 Pacho Ramos
2023-12-18 10:19 Pacho Ramos
2023-12-05 10:32 Sam James
2023-11-24 13:54 Pacho Ramos
2023-11-24 13:54 Pacho Ramos
2023-11-17  7:47 Sam James
2023-10-08 11:51 Pacho Ramos
2023-10-08 11:51 Pacho Ramos
2023-09-22  3:52 Matt Turner
2023-09-22  3:52 Matt Turner
2023-08-30  7:57 Arthur Zamarin
2023-08-26 15:21 Matt Turner
2023-08-16 22:32 Matt Turner
2023-08-10 16:46 Matt Turner
2023-08-10 15:13 Matt Turner
2023-07-07 22:03 Matt Turner
2023-06-08 23:39 Matt Turner
2023-01-25 13:03 Matt Turner
2022-10-30 23:21 Matt Turner
2022-04-28 15:31 Matt Turner
2022-04-03  0:07 Matt Turner
2021-12-19 17:12 Matt Turner
2021-08-27 15:19 Yixun Lan
2021-01-18 21:10 Matt Turner
2020-01-28  9:39 Mart Raudsepp
2020-01-27  9:45 Mikle Kolyada
2020-01-26 22:39 Thomas Deutschmann
2019-12-30 22:36 Mart Raudsepp
2019-05-18 22:08 Mart Raudsepp
2019-03-15 13:16 Mart Raudsepp
2018-12-02 17:27 Mart Raudsepp
2018-08-02 20:32 Mart Raudsepp
2018-02-03 22:35 Mart Raudsepp
2018-01-18  3:31 Mikle Kolyada
2017-08-12 23:15 Gilles Dartiguelongue
2016-10-24  7:22 Gilles Dartiguelongue
2016-10-24  7:22 Gilles Dartiguelongue
2016-03-06 18:58 Mikle Kolyada
2015-11-15 10:30 Pacho Ramos
2015-09-07 21:11 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1447583420.33054cd0cdefde05e881b699698f740ce6d6fdde.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox